import request from '@/utils/request'

// 查询岗位培训统计列表
export function listRecord(query) {
  return request({
    url: '/elearn/record/list',
    method: 'get',
    params: query
  })
}

//更新数据
export function syncRecord(query) {
  return request({
    url: '/elearn/record/syncRecord',
    method: 'get',
    params: query
  })
}


// 查询岗位培训统计详细
export function getRecord(id) {
  return request({
    url: '/elearn/record/' + id,
    method: 'get'
  })
}

// 新增岗位培训统计
export function addRecord(data) {
  return request({
    url: '/elearn/record',
    method: 'post',
    data: data
  })
}

// 修改岗位培训统计
export function updateRecord(data) {
  return request({
    url: '/elearn/record',
    method: 'put',
    data: data
  })
}

// 删除岗位培训统计
export function delRecord(id) {
  return request({
    url: '/elearn/record/' + id,
    method: 'delete'
  })
}

// 导出岗位培训统计
export function exportRecord(query) {
  return request({
    url: '/elearn/record/export',
    method: 'get',
    params: query
  })
}
